﻿Option Explicit On
Option Strict On
Imports System.IO
''' <summary>
''' Gestion des scripts
''' </summary>
''' <remarks></remarks>
Public Class Script
    ''' <summary>
    ''' Lancement d'un script
    ''' </summary>
    ''' <param name="FullNameScriptFile"></param>
    ''' <remarks></remarks>
    Shared Sub LaunchThis(ByVal FullNameScriptFile As String)
        Try
            Dim MyfileScript As New FileInfo(FullNameScriptFile)
            
            If MyfileScript.Exists Then
                If MyfileScript.Extension.ToUpper = ".VBS" Then
                    Process.Start("Cscript.exe", MyfileScript.FullName)
                Else
                    Shell(MyfileScript.FullName, , False, 100000)
                End If
            Else
                MessageBox.Show("Le fichier de script n'existe pas : " & MyfileScript.DirectoryName)
            End If

        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Shared Sub EditThis(ByVal FullNameScriptFile As String, ByVal ScriptEditor As String)
        Try
            Dim MyfileScript As New FileInfo(FullNameScriptFile)
            If MyfileScript.Exists Then
                Process.Start(ScriptEditor, MyfileScript.FullName)
            Else
                MessageBox.Show("Le fichier de script n'existe pas : " & MyfileScript.DirectoryName)
            End If

        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
End Class
