Option Strict Off
Option Explicit On
#Region "Imports"
Imports System.Net
Imports System.Diagnostics
Imports System.Net.NetworkInformation
Imports System.IO
#End Region
'TODO : Proxy XML 
'TODO : lecteur rzo XML
'TODO : Parametrage lecteur rzo
'TODO : Import export Favoris IE
'TODO : Internationnalisation
'TODO : gerer des sites
'TODO : Gerer les rdp

''' <summary>
''' Page principale
''' </summary>
''' <Author>Josselin JOUANNET</Author>
''' <Date_Create>22/10/2007</Date_Create>
''' <Date_Modif>09/08/2008</Date_Modif>
''' <remarks>Code trs evenementiel !</remarks>
''' 
Friend Class FrmBureau
#Region "PublicVars"
    Inherits System.Windows.Forms.Form
    Public myini As New ComINI
    Public inifile As String
    Public ScriptFolder As String
    Public HtUtil As New Hashtable
#End Region
    ''' <summary>
    ''' Lancement de la feuille
    ''' </summary>
    ''' <param name="eventSender"></param>
    ''' <param name="eventArgs"></param>
    ''' <remarks></remarks>
    Private Sub Form1_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load
        Try
            Me.NotifyIcon1.Text = ""
            Me.Opacity = My.Settings.Opacity / 100
            inifile = My.Application.Info.DirectoryPath & "\" & My.Application.Info.AssemblyName & ".ini"
            Call InitStaticValue()
            Call GetProxValues()
            Me.LblIp.Text = IP.getip(Integer.Parse(myini.GetCle(inifile, "Network", "AdapterNbr")))
            Me.GroupBox2.Text = "Ip : Adapter #" & myini.GetCle(inifile, "Network", "AdapterNbr")
            FillNotifyIcon(Me.LblIp.Text, Me.Text2.Text)
            LoadScriptList()
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    ''' <summary>
    ''' Remplissage du notify Icon
    ''' </summary>
    ''' <param name="Ip">Rcupration de l'ip de la machine</param>
    ''' <param name="Proxy">Rcuperation du proxy</param>
    ''' <remarks></remarks>
    Private Sub FillNotifyIcon(ByVal Ip As String, ByVal Proxy As String)
        Try
            If Ip.Length > 15 Then
                Ip = Ip.Substring(0, 15)
            End If
            If Proxy.Length > 20 Then
                Proxy = Proxy.Substring(0, 20)
            End If
            Me.NotifyIcon1.Text = ""
            Me.NotifyIcon1.Text = "IP     : " & Ip
            Me.NotifyIcon1.Text = Me.NotifyIcon1.Text & vbCrLf
            Me.NotifyIcon1.Text = Me.NotifyIcon1.Text & "Proxy  : " & Proxy
            Debug.Print(Me.NotifyIcon1.Text.Length)
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    ''' <summary>
    ''' Rcupration de la valeur du proxy
    ''' </summary>
    ''' <remarks></remarks>
    Private Sub GetProxValues()
        Try
            Dim gui As Object
            Dim A As Object
            gui = CreateObject("WScript.Shell")
            A = gui.RegRead("HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\ProxyEnable")
            If A = 0 Then
                Me.ChkProxyActiv.Checked = False
            Else
                Me.ChkProxyActiv.Checked = True
            End If
            gui = CreateObject("WScript.Shell")
            Text2.Text = gui.RegRead("HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\ProxyServer")
            Me.Text2.Enabled = Me.ChkProxyActiv.Checked
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    ''' <summary>
    ''' Rcuperation des label et libelle depuis le fichier ini
    ''' </summary>
    ''' <remarks></remarks>
    Private Sub InitStaticValue()
        Try
            'libelle des cmd depuis ini
            Me.CmProxy1.Text = myini.GetCle(inifile, "Prox", "Prox1")
            Me.CmdProxy2.Text = myini.GetCle(inifile, "Prox", "Prox2")
            Me.CmdProxy3.Text = myini.GetCle(inifile, "Prox", "Prox3")
            Me.cmdProxy4.Text = myini.GetCle(inifile, "Prox", "Prox4")
            'Libelle des cmd url depuis ini
            Me.CmdUrl1.Text = myini.GetCle(inifile, "Url", "Url1lbl")
            Me.CmdUrl2.Text = myini.GetCle(inifile, "Url", "Url2lbl")
            Me.CmdUrl3.Text = myini.GetCle(inifile, "Url", "Url3lbl")
            'compte owa
            If myini.GetCle(inifile, "Url", "Url1Account") <> "" Then
                Me.TxtOWAAcount.Text = myini.GetCle(inifile, "Url", "Url1Account")
            Else
                Me.TxtOWAAcount.Text = My.User.Name
            End If

            Me.TxtOwaPass.Text = myini.GetCle(inifile, "Url", "Url1PASS")
            Me.lblId.Text = "Bureau de " & My.User.Name & ", sur " & My.Computer.Name
            Me.Text = My.Application.Info.ProductName
            'Me.Text = Me.Text & My.Application.Info.Version.Major & My.Application.Info.Version.Minor & My.Application.Info.Version.Revision
            'utilitaires

            'Util1 = myini.GetCle(inifile, "Utils", "Util1")
            HtUtil.Clear()
            Me.CmdUtil1.Text = myini.GetCle(inifile, "Utils", "UtilLbl1")
            HtUtil.Add(myini.GetCle(inifile, "Utils", "UtilLbl1"), myini.GetCle(inifile, "Utils", "Util1"))
            ToolStripMenuItemUtil1.Text = myini.GetCle(inifile, "Utils", "UtilLbl1")
            'Util2 = myini.GetCle(inifile, "Utils", "Util2")

            Me.CmdUtil2.Text = myini.GetCle(inifile, "Utils", "UtilLbl2")
            HtUtil.Add(myini.GetCle(inifile, "Utils", "UtilLbl2"), myini.GetCle(inifile, "Utils", "Util2"))
            ToolStripMenuItemUtil2.Text = myini.GetCle(inifile, "Utils", "UtilLbl2")
            'Util3 = myini.GetCle(inifile, "Utils", "Util3")

            Me.CmdUtil3.Text = myini.GetCle(inifile, "Utils", "UtilLbl3")
            HtUtil.Add(myini.GetCle(inifile, "Utils", "UtilLbl3"), myini.GetCle(inifile, "Utils", "Util3"))
            ToolStripMenuItemUtil3.Text = myini.GetCle(inifile, "Utils", "UtilLbl3")
            'Util4 = myini.GetCle(inifile, "Utils", "Util4")

            Me.CmdUtil4.Text = myini.GetCle(inifile, "Utils", "UtilLbl4")
            HtUtil.Add(myini.GetCle(inifile, "Utils", "UtilLbl4"), myini.GetCle(inifile, "Utils", "Util4"))
            ToolStripMenuItemUtil4.Text = myini.GetCle(inifile, "Utils", "UtilLbl4")
            'script
            ScriptFolder = My.Application.Info.DirectoryPath & "\script\"

            'gestion du rafraichissement automatique.
            If myini.GetCle(inifile, "Diver", "AutoRefreshIP") = 0 Then
                Me.Chk.Checked = False
                Me.Timer1.Stop()
            Else
                Me.Chk.Checked = True
                Me.Timer1.Start()
            End If

        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    ''' <summary>
    ''' Charge le listbox script avec le scripts prsents dans le repertoire script
    ''' </summary>
    ''' <remarks>esxtensions acceptes Cmd, Bat, VBS </remarks>
    Private Sub LoadScriptList()
        Try
            Me.LstBScript.Items.Clear()
            Dim dir As New DirectoryInfo(ScriptFolder)
            Dim file As FileInfo
            Dim files() As FileInfo = dir.GetFiles("*.cmd")
            If (files IsNot Nothing) Then
                For Each file In files
                    Me.LstBScript.Items.Add(file.Name.ToString)
                Next
            End If
            files = dir.GetFiles("*.bat")
            If (files IsNot Nothing) Then
                For Each file In files
                    Me.LstBScript.Items.Add(file.Name.ToString)
                Next
            End If
            files = dir.GetFiles("*.vbs")
            If (files IsNot Nothing) Then
                For Each file In files
                    Me.LstBScript.Items.Add(file.Name.ToString)
                Next
            End If
            Me.LstBScript.Refresh()
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub Text3_Enter(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs)
        If Text3.Text = "Adresse internet" Then Text3.Text = ""
    End Sub
#Region "Cmdbuttons"
    Private Sub CmdQuit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdQuit.Click
        Try
            Application.Exit()
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub cmdParam_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdParam.Click
        Try
            FrmIni.ShowDialog()
            Call Me.InitStaticValue()
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub CmdIniFile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdIniFile.Click
        Try
            Process.Start("notepad.exe", inifile)
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub CmdAbout_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdAbout.Click
        Try
            FrmAboutBox.ShowDialog()
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub

#End Region
#Region "CommonPanel"
    Private Sub CmdRefreshIP_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdRefreshIP.Click
        Try
            Me.LblIp.Text = IP.getip(Integer.Parse(myini.GetCle(inifile, "Network", "AdapterNbr")))
            GetProxValues()
            FillNotifyIcon(Me.LblIp.Text, Me.Text2.Text)
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
#Region "CMD URL"
    Private Sub CmdUrl2_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdUrl2.Click
        Try
            Process.Start("IExplore.exe", myini.GetCle(inifile, "Url", "URl2"))
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub CmdUrl3_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdUrl3.Click
        Try
            Process.Start("IExplore.exe", myini.GetCle(inifile, "Url", "URl3"))
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub CmdUrl1_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdUrl1.Click
        Try
            Process.Start("IExplore.exe", myini.GetCle(inifile, "Url", "URl1"))
            Clipboard.SetDataObject(Me.TxtOWAAcount.Text)
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub CmdIEGO_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdIEGO.Click
        Try
            Process.Start("IExplore.exe", Text3.Text)
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
#End Region
#Region "CMD UTIL"
    Private Sub CmdUtil1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdUtil1.Click
        Try
            If Me.HtUtil.ContainsKey(CmdUtil1.Text) Then
                Process.Start(Me.HtUtil.Item(CmdUtil1.Text))
            Else
                MessageBox.Show("l'utilitaire " & CmdUtil1.Text & "n'existe pas ")
            End If
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub CmdUtil3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdUtil3.Click
        Try
            If Me.HtUtil.ContainsKey(CmdUtil3.Text) Then
                Process.Start(Me.HtUtil.Item(CmdUtil3.Text))
            Else
                MessageBox.Show("l'utilitaire " & CmdUtil3.Text & "n'existe pas ")
            End If
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub CmdUtil2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdUtil2.Click
        Try
            If Me.HtUtil.ContainsKey(CmdUtil2.Text) Then
                Process.Start(Me.HtUtil.Item(CmdUtil2.Text))
            Else
                MessageBox.Show("l'utilitaire " & CmdUtil2.Text & "n'existe pas ")
            End If
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub CmdUtil4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdUtil4.Click
        Try
            If Me.HtUtil.ContainsKey(CmdUtil4.Text) Then
                Process.Start(Me.HtUtil.Item(CmdUtil4.Text))
            Else
                MessageBox.Show("l'utilitaire " & CmdUtil4.Text & "n'existe pas ")
            End If
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
#End Region
#Region "CMD PROXY"
    Private Sub CmProxy1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmProxy1.Click
        Proxy.ChangeIEProxy(Integer.Parse(myini.GetCle(inifile, "Prox", "prox1ProxyEnable")), myini.GetCle(inifile, "Prox", "prox1ProxyServer"), myini.GetCle(inifile, "Prox", "prox1ProxyOverride"))
        MsgBox("Proxy Configur")
        GetProxValues()
    End Sub
    Private Sub CmdProxy2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdProxy2.Click
        Proxy.ChangeIEProxy(Integer.Parse(myini.GetCle(inifile, "Prox", "prox2ProxyEnable")), myini.GetCle(inifile, "Prox", "prox2ProxyServer"), myini.GetCle(inifile, "Prox", "prox2ProxyOverride"))
        MsgBox("Proxy Configur")
        GetProxValues()
    End Sub
    Private Sub CmdProxy3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdProxy3.Click
        Proxy.ChangeIEProxy(Integer.Parse(myini.GetCle(inifile, "Prox", "prox3ProxyEnable")), myini.GetCle(inifile, "Prox", "prox3ProxyServer"), myini.GetCle(inifile, "Prox", "prox3ProxyOverride"))
        MsgBox("Proxy Configur")
        GetProxValues()
    End Sub
    Private Sub cmdProxy4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdProxy4.Click
        Proxy.ChangeIEProxy(Integer.Parse(myini.GetCle(inifile, "Prox", "prox4ProxyEnable")), myini.GetCle(inifile, "Prox", "prox4ProxyServer"), myini.GetCle(inifile, "Prox", "prox4ProxyOverride"))
        MsgBox("Proxy Configur")
        GetProxValues()
    End Sub
    Private Sub CmdProxyOk_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdProxyOk.Click
        Dim gui As Object
        Dim D, F As Object
        D = MsgBox("Etes vous sur de vouloir changer le serveur ?", MsgBoxStyle.Question + MsgBoxStyle.YesNo, "Confirmation")
        If D = MsgBoxResult.Yes Then
            gui = CreateObject("WScript.Shell")
            'UPGRADE_WARNING: Impossible de rsoudre la proprit par dfaut de l'objet gui.RegWrite. Cliquez ici: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
            'UPGRADE_WARNING: Impossible de rsoudre la proprit par dfaut de l'objet e. Cliquez ici: 'ms-help://MS.VSCC.v80/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
            F = gui.RegWrite("HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Internet Settings\ProxyServer", Text2.Text, "REG_SZ")
        End If
    End Sub
#End Region
    Private Sub CmdIpRenew_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdIpRenew.Click
        Try
            Script.LaunchThis(ScriptFolder & "Ipconfig_renew.cmd")
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub CmdIpConfigAll_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdIpConfigAll.Click
        Try
            Script.LaunchThis(ScriptFolder & "Ipconfig_All.cmd")
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub ChkProxyActiv_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles ChkProxyActiv.Click
        Try
            Dim b As Object
            If Me.ChkProxyActiv.Checked Then
                b = MsgBox("Etes vous sur de vouloir activer le Proxy ?", MsgBoxStyle.Question + MsgBoxStyle.YesNo, "Confirmation")
                If b = MsgBoxResult.Yes Then
                    Proxy.ActivIeProxy(True)
                Else
                    Me.ChkProxyActiv.Checked = False
                End If
            Else
                b = MsgBox("Etes vous sur de vouloir Dsactiver le Proxy ?", MsgBoxStyle.Question + MsgBoxStyle.YesNo, "Confirmation")
                If b = MsgBoxResult.Yes Then
                    Proxy.ActivIeProxy(False)
                Else
                    Me.ChkProxyActiv.Checked = True
                End If
            End If
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub Chk_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Chk.Click
        If Me.Chk.Checked Then
            Me.Timer1.Start()
            Call myini.SetCle(inifile, "Diver", "AutoRefreshIP", "1")
        Else
            Me.Timer1.Stop()
            myini.GetCle(inifile, "Prox", "Prox1")
            Call myini.SetCle(inifile, "Diver", "AutoRefreshIP", "0")
        End If
    End Sub
#End Region
    Private Sub ToolStripMenuItem2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripMenuItem2.Click
        Try
            If Me.WindowState = FormWindowState.Minimized Then
                Me.WindowState = FormWindowState.Normal
            End If
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        Try
            'MessageBox.Show("Time")
            Me.LblIp.Text = IP.getip(Integer.Parse(myini.GetCle(inifile, "Network", "AdapterNbr")))
            GetProxValues()
            FillNotifyIcon(Me.LblIp.Text, Me.Text2.Text)
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
#Region "MenuItem"
    Private Sub QuitterToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles QuitterToolStripMenuItem.Click
        Try
            Application.Exit()
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub ToolStripMenuItemUtil1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripMenuItemUtil1.Click
        Try
            If Me.HtUtil.ContainsKey(ToolStripMenuItemUtil1.Text) Then
                Process.Start(Me.HtUtil.Item(ToolStripMenuItemUtil1.Text))
            Else
                MessageBox.Show("l'utilitaire " & ToolStripMenuItemUtil1.Text & " n'existe pas ")
            End If
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub ToolStripMenuItemUtil3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripMenuItemUtil3.Click
        Try
            If Me.HtUtil.ContainsKey(ToolStripMenuItemUtil3.Text) Then
                Process.Start(Me.HtUtil.Item(ToolStripMenuItemUtil3.Text))
            Else
                MessageBox.Show("l'utilitaire " & ToolStripMenuItemUtil3.Text & " n'existe pas ")
            End If
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub ToolStripMenuItemUtil4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripMenuItemUtil4.Click
        Try
            If Me.HtUtil.ContainsKey(ToolStripMenuItemUtil4.Text) Then
                Process.Start(Me.HtUtil.Item(ToolStripMenuItemUtil4.Text))
            Else
                MessageBox.Show("l'utilitaire " & ToolStripMenuItemUtil4.Text & " n'existe pas ")
            End If
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub ToolStripMenuItemUtil2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripMenuItemUtil2.Click
        Try
            If Me.HtUtil.ContainsKey(ToolStripMenuItemUtil2.Text) Then
                Process.Start(Me.HtUtil.Item(ToolStripMenuItemUtil2.Text))
            Else
                MessageBox.Show("l'utilitaire " & ToolStripMenuItemUtil2.Text & " n'existe pas ")
            End If
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
#End Region
#Region "Script Panel"
    Private Sub CmdExecuteScript_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdExecuteScript.Click
        Try
            If (Me.LstBScript.SelectedItem IsNot Nothing) Then
                If Me.LstBScript.SelectedItem.ToString <> "" Then
                    Script.LaunchThis(ScriptFolder & Me.LstBScript.SelectedItem.ToString)
                End If

            End If

        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub LstBScript_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles LstBScript.DoubleClick
        Try
            If (Me.LstBScript.SelectedItem IsNot Nothing) Then
                If Me.LstBScript.SelectedItem.ToString <> "" Then
                    Script.LaunchThis(ScriptFolder & Me.LstBScript.SelectedItem.ToString)
                End If
            End If
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub CmdEditScript_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdEditScript.Click
        Try
            If (Me.LstBScript.SelectedItem IsNot Nothing) Then
                If Me.LstBScript.SelectedItem.ToString <> "" Then
                    Script.EditThis(ScriptFolder & Me.LstBScript.SelectedItem.ToString, myini.GetCle(inifile, "Diver", "ScriptEditor"))
                End If
            End If

        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
    Private Sub CmdRefreshScriptList_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdRefreshScriptList.Click
        LoadScriptList()
    End Sub
    Private Sub CmdOpenDirScript_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdOpenDirScript.Click
        Try
            Process.Start("IExplore.exe", ScriptFolder)
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub
#End Region
    Private Sub NotifyIcon1_MouseDoubleClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles NotifyIcon1.MouseDoubleClick
        Try
            If Me.WindowState = FormWindowState.Minimized Then
                Me.WindowState = FormWindowState.Normal
            End If
        Catch ex As Exception
            MessageBox.Show("Une erreur est survenue : " & ex.Message)
        End Try
    End Sub

    
End Class